Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78964 - Machine Crash's Randomly with a Oops check. Linux version 2.4.18-18.7.x
Summary: Machine Crash's Randomly with a Oops check. Linux version 2.4.18-18.7.x
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-03 23:49 UTC by Shaun Murphy
Modified: 2007-04-18 16:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-12-17 02:32:50 UTC


Attachments (Terms of Use)

Description Shaun Murphy 2002-12-03 23:49:24 UTC
Redhat 7.3
kernel = rpm install of version 2.4.18-18.7.x

**LSMOD
iptable_filter          2336   1  (autoclean)
ip_tables              13216   1  [iptable_filter]
autofs                 10948   0  (autoclean) (unused)
e100                   57304   1
usb-uhci               23332   0  (unused)
usbcore                69088   1  [usb-uhci]
ext3                   62144   5
jbd                    46004   5  [ext3]





It just randomly crash's with the error below.

Dec  3 17:05:01 globalchat kernel: Unable to handle kernel paging request at 
virtual address e857268d
Dec  3 17:05:01 globalchat kernel:  printing eip:
Dec  3 17:05:01 globalchat kernel: c880e7b6
Dec  3 17:05:01 globalchat kernel: *pde = 00000000
Dec  3 17:05:01 globalchat kernel: Oops: 0000
Dec  3 17:05:01 globalchat kernel: iptable_filter ip_tables autofs e100 usb-
uhci usbcore ext3 jbd
Dec  3 17:05:01 globalchat kernel: CPU:    0
Dec  3 17:05:01 globalchat kernel: EIP:    0010:[<c880e7b6>]    Not tainted
Dec  3 17:05:01 globalchat kernel: EFLAGS: 00010206
Dec  3 17:05:01 globalchat kernel: Oops: 0000
Dec  3 17:05:01 globalchat kernel: iptable_filter ip_tables autofs e100 usb-
uhci usbcore ext3 jbd
Dec  3 17:05:01 globalchat kernel: CPU:    0
Dec  3 17:05:01 globalchat kernel: EIP:    0010:[<c880e7b6>]    Not tainted
Dec  3 17:05:01 globalchat kernel: EFLAGS: 00010206
Dec  3 17:05:01 globalchat kernel:
Dec  3 17:05:01 globalchat kernel: EIP is at 
journal_try_to_free_buffers_Rb4b7fc76 [jbd] 0x4e (2.4.18-18.7.x)
Dec  3 17:05:01 globalchat kernel: eax: 00000001   ebx: e8572674   ecx: 
00000019   edx: e8572674
Dec  3 17:05:01 globalchat kernel: esi: c66396c0   edi: 00000001   ebp: 
000000b0   esp: c11a5f60
Dec  3 17:05:01 globalchat kernel: ds: 0018   es: 0018   ss: 0018
Dec  3 17:05:01 globalchat kernel: Process kswapd (pid: 5, stackpage=c11a5000)
Dec  3 17:05:01 globalchat kernel: Stack: 00000000 c1045c38 00000030 c02da134 
c881e26c c6e8a000 c1045c38 00000030
Dec  3 17:05:01 globalchat kernel:        c0138507 c1045c38 00000030 c1045c38 
c1045c38 c012d83e c1045c38 00000030
Dec  3 17:05:01 globalchat kernel:        c1045c54 c1045c38 c02da134 c012eb4c 
c11a4000 c02da16c 00000000 0000026a
Dec  3 17:05:01 globalchat kernel: Call Trace: [<c881e26c>] ext3_releasepage 
[ext3] 0x20 (0xc11a5f70))
Dec  3 17:05:01 globalchat kernel: [<c0138507>] try_to_release_page [kernel] 
0x2f (0xc11a5f80))
Dec  3 17:05:01 globalchat kernel: [<c012d83e>] drop_page [kernel] 0x2a 
(0xc11a5f94))
Dec  3 17:05:01 globalchat kernel: [<c012eb4c>] refill_inactive_zone [kernel] 
0x218 (0xc11a5fac))
Dec  3 17:05:01 globalchat kernel: [<c012f439>] kswapd [kernel] 0x275 
(0xc11a5fd0))
Dec  3 17:05:01 globalchat kernel: [<c0105000>] stext [kernel] 0x0 (0xc11a5fe8))
Dec  3 17:05:01 globalchat kernel: [<c0106e92>] kernel_thread [kernel] 0x26 
(0xc11a5ff0))
Dec  3 17:05:01 globalchat kernel: [<c012f1c4>] kswapd [kernel] 0x0 
(0xc11a5ff8))
Dec  3 17:05:01 globalchat kernel:
Dec  3 17:05:01 globalchat kernel:
Dec  3 17:05:01 globalchat kernel: Code: f6 42 19 02 8b 5b 28 74 15 89 e0 50 52 
e8 08 ff ff ff 5a 31

Comment 1 Stephen Tweedie 2002-12-04 10:39:08 UTC
Is it always exactly the same crash?  How often does it occur?  This looks more
like hardware instability than anything else --- you should try an overnight
memtest86 run on it.

Comment 2 Dave Jones 2003-12-17 02:32:50 UTC
Several errata kernels, and one year of inactivity later.. Closing.



Note You need to log in before you can comment on or make changes to this bug.